
TYPO3.Fluid - Bug # 36662

Status: Needs Feedback Priority: Should have
Author: Kevin Ulrich Moschallski Category: ViewHelpers
Created: 2012-04-27 Assigned To: Kevin Ulrich Moschallski
Updated: 2013-08-14 Due date:
Has patch: No
Affected Flow version: Git 1.1
Subject: Checked state isn't always correct when property is collection
Description

The checkboxViewHelper doesn't always set the correct checked state when the property is an collection. I took the mechanism of the
selectViewHelper and put it in the checkboxViewHelper.

Related issues:
related to TYPO3.Fluid - Bug # 33628: Multicheckboxes (multiselect) for Colle... Needs Feedback2012-02-02

History
#1 - 2012-04-27 15:24 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10829

#2 - 2012-06-18 11:24 - Karsten Dambekalns
- Assigned To set to Kevin Ulrich Moschallski
- Target version set to 1.1 RC1
- Affected Flow version changed from Git master to Git 1.1

#3 - 2012-06-18 11:33 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10829

#4 - 2012-06-19 11:08 - Karsten Dambekalns
- Target version changed from 1.1 RC1 to 1.1

#5 - 2012-07-25 18:36 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10829

#6 - 2012-07-25 18:37 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10829
#7 - 2012-07-26 12:42 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10829

#8 - 2012-07-26 12:44 - Bastian Waidelich
- Status changed from Under Review to Needs Feedback

@Kevin could you please give some feedback on how to reproduce the problem

1<ul>
2    <f:for each="{someCollection}" as="someItem">
3        <li>
4            <f:form.checkbox property="someCollection" multiple="true" value="{someItem}" /> {someItem.title}
5        </li>
6    </f:for>
7</ul>

Works for me.

#9 - 2012-07-26 13:24 - Kevin Ulrich Moschallski

Hi Bastian,

my case looks like yours and with the patch applied it works fine for me. If you want i could upload my test package somewhere.

#10 - 2012-07-26 14:46 - Bastian Waidelich

Kevin Ulrich Moschallski wrote:

Hi Kevin,

my case looks like yours and with the patch applied it works fine for me.
If you want i could upload my test package somewhere.

Thanks for the feedback, but what I was trying to say is "Works for me without the patch"

#11 - 2012-08-17 11:18 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1.1

#12 - 2012-12-14 15:09 - Karsten Dambekalns
- Target version changed from 1.1.1 to 2052

#13 - 2013-08-14 15:39 - Karsten Dambekalns
- Target version changed from 2052 to 1.1.1
